commit:     f9c2c228814b6f75832727ca6d6dbd7bbfe082a2
Author:     Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
AuthorDate: Wed Jul  1 18:58:13 2020 +0000
Commit:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
CommitDate: Fri Jul 17 04:13:52 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f9c2c228

dev-python/pydocstyle: add py3_8, rem py3_6

py3_9 still missing on deps (too many for me bump atm)

Package-Manager: Portage-2.3.103, Repoman-2.3.23
Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> riseup.net>
Signed-off-by: Matt Turner <mattst88 <AT> gentoo.org>

 dev-python/pydocstyle/pydocstyle-5.0.2-r1.ebuild | 38 ++++++++++++++++++++++++
 1 file changed, 38 insertions(+)

diff --git a/dev-python/pydocstyle/pydocstyle-5.0.2-r1.ebuild 
b/dev-python/pydocstyle/pydocstyle-5.0.2-r1.ebuild
new file mode 100644
index 00000000000..1887ba0bb24
--- /dev/null
+++ b/dev-python/pydocstyle/pydocstyle-5.0.2-r1.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{7,8} )
+
+DISTUTILS_USE_SETUPTOOLS=rdepend
+
+inherit distutils-r1
+
+DESCRIPTION="Python docstring style checker"
+HOMEPAGE="https://github.com/PyCQA/pydocstyle/";
+SRC_URI="https://github.com/PyCQA/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="dev-python/snowballstemmer[${PYTHON_USEDEP}]"
+
+DEPEND="test? (
+       dev-python/pytest-pep8[${PYTHON_USEDEP}]
+       dev-python/mypy[${PYTHON_USEDEP}]
+       dev-python/tox[${PYTHON_USEDEP}]
+)"
+
+distutils_enable_tests pytest
+# Requires network to lookup github issues
+#distutils_enable_sphinx docs dev-python/sphinx_rtd_theme 
dev-python/sphinxcontrib-issuetracker
+
+src_prepare() {
+       default
+
+       # These tests call pip.
+       # pip install fails because we are not allowed to do that inside an 
ebuild.
+       rm "${S}/src/tests/test_integration.py" || die
+}

Reply via email to